Create new language
POST/qsystem/rest/config/languages
Create new language
curl -i -u user:password -X POST -H 'Content-type: application/json' http://ip:port/qsystem/rest/config/languages
-d '{"locale":"sv","description":"Svenska","rightToLeft":"true"}'
The language can contain the following information (the locale is mandatory):
-
locale: The locale of the language which conforms to the IETF BCP 47 standard, only the language part of the standard is supported.
-
description: A description of the language.
-
rightToLeft: A boolean that determines if the UI should be displayed right to left, will default to false.
The id of the language will be generated automatically and should not be set, if it is set it will be ignored.
Request
Responses
- 201
A json object with the created language